Subject: [PATCH] ACPI: introduce CONFIG_ACPI_REDUCED_HARDWARE_ONLY to enforce this ACPI mode

From: [email-masked] (Arnd Bergmann)
Date: Fri, 17 Jan 2014 16:10:02 +0100

On Thursday 16 January 2014, Al Stone wrote:
> Right; I assumed I had to have that SELECT.  My apologies -- I
> still cannot reproduce the warning.  I'll resubmit the patch
> incorporating the suggestion, though, since the result ends up
> being the same -- you must have ACPI and EXPERT selected in order
> to enable ACPI_REDUCED_HARDWARE_ONLY.
> 

You should never 'select' CONFIG_EXPERT from architecture code, that
is supposed to be a user-settable option. If you also select CONFIG_EXPERT
or have that enabled in the configuration, you will not get a warning.

	Arnd